# Contributing

All contributions are welcomed. They are two ways contributions can made:

- Raising issues / starting discussions
- Creating pull requests


## Contributor code of conduct

As contributors and maintainers of this project, we pledge to respect all people who contribute through reporting issues, posting feature requests, updating documentation, submitting pull requests or patches, and other activities.

We are committed to making participation in this project a harassment-free experience for everyone, regardless of level of experience, gender, gender identity and expression, sexual orientation, disability, personal appearance, body size, race, ethnicity, age, or religion.

Examples of unacceptable behavior by participants include the use of sexual language or imagery, derogatory comments or personal attacks, trolling, public or private harassment, insults, or other unprofessional conduct.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, issues, and other contributions that are not aligned to this Code of Conduct. Project maintainers who do not follow the Code of Conduct may be removed from the project team.

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by opening an issue or contacting one or more of the project maintainers.

This Code of Conduct is adapted from the Contributor Covenant, version 1.0.0, available from [http://contributor-covenant.org/version/1/0/0/](http://contributor-covenant.org/version/1/0/0/)


## Pull requests

### CI server

Commits on an open PR will trigger builds on Travis. You can build and run tests locally to make sure they will pass before pushing a commit:

```sh
npm run lint
npm run build
npm test
```

### Git Commit Guidelines

[Angular's Commit Conventions](https://docs.google.com/document/d/1QrDFcIiPjSLDn3EL15IJygNPiHORgU1_OOAqWjiDU5Y/edit#) are used in this project and other router5's repositories.
